Back to top

API Documentation

< Back

Kuali Research REST APIs - Proposal Development

Research Proposal Development

Abstract Types

Get Abstract Types by Key
GET/propdev/api/v1/abstract-types/(key)

Example URI

GET /propdev/api/v1/abstract-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Abstract Types
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Abstract Types with Filtering
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

code
string (optional) 

Abstract Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Abstract Types
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "code",
    "description"
  ],
  "primaryKey": "code"
}

Get Blueprint API specification for Abstract Types
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Abstract Types.md"
transfer-encoding: chunked

Update Abstract Types
PUT/propdev/api/v1/abstract-types/(key)

Example URI

PUT /propdev/api/v1/abstract-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Abstract Types
PUT/propdev/api/v1/abstract-types/

Example URI

PUT /propdev/api/v1/abstract-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Abstract Types
PATCH/propdev/api/v1/abstract-types/(key)

Example URI

PATCH /propdev/api/v1/abstract-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Abstract Types
POST/propdev/api/v1/abstract-types/

Example URI

POST /propdev/api/v1/abstract-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Abstract Types
POST/propdev/api/v1/abstract-types/

Example URI

POST /propdev/api/v1/abstract-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Abstract Types by Key
DELETE/propdev/api/v1/abstract-types/(key)

Example URI

DELETE /propdev/api/v1/abstract-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Abstract Types
DELETE/propdev/api/v1/abstract-types/

Example URI

DELETE /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Abstract Types with Matching
DELETE/propdev/api/v1/abstract-types/

Example URI

DELETE /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

code
string (optional) 

Abstract Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Changed Data

Get Budget Changed Data by Key
GET/propdev/api/v1/budget-changed-data/(key)

Example URI

GET /propdev/api/v1/budget-changed-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Changed Data
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Changed Data with Filtering
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

changeNumber
string (optional) 

Change Number. Maximum length is 3. Validating pattern is ^[0-9]*$.

columnName
string (optional) 

Field. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8. Validating pattern is ^[0-9]*$.

changedValue
string (optional) 

Changed Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.

comments
string (optional) 

Comments. Maximum length is 300. Validating pattern is ^[\p{Graph}\p{Space}]*$.

displayValue
string (optional) 

Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.

oldDisplayValue
string (optional) 

Old Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Changed Data
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "changeNumber",
    "columnName",
    "proposalNumber",
    "changedValue",
    "comments",
    "displayValue",
    "oldDisplayValue"
  ],
  "primaryKey": "changeNumber:columnName:proposalNumber"
}

Get Blueprint API specification for Budget Changed Data
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Changed Data.md"
transfer-encoding: chunked

Update Budget Changed Data
PUT/propdev/api/v1/budget-changed-data/(key)

Example URI

PUT /propdev/api/v1/budget-changed-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Changed Data
PUT/propdev/api/v1/budget-changed-data/

Example URI

PUT /propdev/api/v1/budget-changed-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Changed Data
PATCH/propdev/api/v1/budget-changed-data/(key)

Example URI

PATCH /propdev/api/v1/budget-changed-data/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Changed Data
POST/propdev/api/v1/budget-changed-data/

Example URI

POST /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Changed Data
POST/propdev/api/v1/budget-changed-data/

Example URI

POST /propdev/api/v1/budget-changed-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Changed Data by Key
DELETE/propdev/api/v1/budget-changed-data/(key)

Example URI

DELETE /propdev/api/v1/budget-changed-data/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Changed Data
DELETE/propdev/api/v1/budget-changed-data/

Example URI

DELETE /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Changed Data with Matching
DELETE/propdev/api/v1/budget-changed-data/

Example URI

DELETE /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

changeNumber
string (optional) 

Change Number. Maximum length is 3. Validating pattern is ^[0-9]*$.

columnName
string (optional) 

Field. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8. Validating pattern is ^[0-9]*$.

changedValue
string (optional) 

Changed Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.

comments
string (optional) 

Comments. Maximum length is 300. Validating pattern is ^[\p{Graph}\p{Space}]*$.

displayValue
string (optional) 

Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.

oldDisplayValue
string (optional) 

Old Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Columns To Alter

Get Budget Columns To Alter by Key
GET/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

GET /propdev/api/v1/budget-columns-to-alter/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Columns To Alter
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Columns To Alter with Filtering
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

columnName
string (optional) 

Column Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.

columnLabel
string (optional) 

Column Label. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.

dataLength
string (optional) 

Data Length. Maximum length is 4. Validating pattern is ^[0-9]*$.

dataType
string (optional) 

Data Type. Maximum length is 9. Validating pattern is ^[A-Za-z0-9]*$.

hasLookup
string (optional) 

Has Lookup. Maximum length is 1. Validating pattern is .*.

lookupClass
string (optional) 

Lookup Argument. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.

lookupReturn
string (optional) 

Lookup Return. Maximum length is 50. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Columns To Alter
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "columnName",
    "columnLabel",
    "dataLength",
    "dataType",
    "hasLookup",
    "lookupClass",
    "lookupReturn"
  ],
  "primaryKey": "columnName"
}

Get Blueprint API specification for Budget Columns To Alter
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Columns To Alter.md"
transfer-encoding: chunked

Update Budget Columns To Alter
PUT/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

PUT /propdev/api/v1/budget-columns-to-alter/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Columns To Alter
PUT/propdev/api/v1/budget-columns-to-alter/

Example URI

PUT /propdev/api/v1/budget-columns-to-alter/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Columns To Alter
PATCH/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

PATCH /propdev/api/v1/budget-columns-to-alter/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Columns To Alter
POST/propdev/api/v1/budget-columns-to-alter/

Example URI

POST /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Columns To Alter
POST/propdev/api/v1/budget-columns-to-alter/

Example URI

POST /propdev/api/v1/budget-columns-to-alter/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Columns To Alter by Key
DELETE/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

DELETE /propdev/api/v1/budget-columns-to-alter/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Columns To Alter
DELETE/propdev/api/v1/budget-columns-to-alter/

Example URI

DELETE /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Columns To Alter with Matching
DELETE/propdev/api/v1/budget-columns-to-alter/

Example URI

DELETE /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

columnName
string (optional) 

Column Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.

columnLabel
string (optional) 

Column Label. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.

dataLength
string (optional) 

Data Length. Maximum length is 4. Validating pattern is ^[0-9]*$.

dataType
string (optional) 

Data Type. Maximum length is 9. Validating pattern is ^[A-Za-z0-9]*$.

hasLookup
string (optional) 

Has Lookup. Maximum length is 1. Validating pattern is .*.

lookupClass
string (optional) 

Lookup Argument. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.

lookupReturn
string (optional) 

Lookup Return. Maximum length is 50. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Statuses

Get Budget Statuses by Key
GET/propdev/api/v1/budget-statuses/(key)

Example URI

GET /propdev/api/v1/budget-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Statuses
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Statuses with Filtering
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

budgetStatusCode
string (optional) 

Budget Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Statuses
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "budgetStatusCode",
    "description"
  ],
  "primaryKey": "budgetStatusCode"
}

Get Blueprint API specification for Budget Statuses
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Statuses.md"
transfer-encoding: chunked

Update Budget Statuses
PUT/propdev/api/v1/budget-statuses/(key)

Example URI

PUT /propdev/api/v1/budget-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Statuses
PUT/propdev/api/v1/budget-statuses/

Example URI

PUT /propdev/api/v1/budget-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Statuses
PATCH/propdev/api/v1/budget-statuses/(key)

Example URI

PATCH /propdev/api/v1/budget-statuses/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Statuses
POST/propdev/api/v1/budget-statuses/

Example URI

POST /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Statuses
POST/propdev/api/v1/budget-statuses/

Example URI

POST /propdev/api/v1/budget-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Statuses by Key
DELETE/propdev/api/v1/budget-statuses/(key)

Example URI

DELETE /propdev/api/v1/budget-statuses/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Statuses
DELETE/propdev/api/v1/budget-statuses/

Example URI

DELETE /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Statuses with Matching
DELETE/propdev/api/v1/budget-statuses/

Example URI

DELETE /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

budgetStatusCode
string (optional) 

Budget Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Sub Award Attachments

Get Budget Sub Award Attachments by Key
GET/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Award Attachments
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Award Attachments with Filtering
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

data
string (optional) 
name
string (optional) 
type
string (optional) 
id
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Award Attachments
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "data",
    "name",
    "type",
    "id"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Budget Sub Award Attachments
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Attachments.md"
transfer-encoding: chunked

Update Budget Sub Award Attachments
PUT/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

PUT /propdev/api/v1/budget-sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Award Attachments
PUT/propdev/api/v1/budget-sub-award-attachments/

Example URI

PUT /propdev/api/v1/budget-sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Award Attachments
PATCH/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-award-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Award Attachments
POST/propdev/api/v1/budget-sub-award-attachments/

Example URI

POST /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Award Attachments
POST/propdev/api/v1/budget-sub-award-attachments/

Example URI

POST /propdev/api/v1/budget-sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Award Attachments by Key
DELETE/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-award-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Attachments
DELETE/propdev/api/v1/budget-sub-award-attachments/

Example URI

DELETE /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Sub Award Attachments with Matching
DELETE/propdev/api/v1/budget-sub-award-attachments/

Example URI

DELETE /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

data
string (optional) 
name
string (optional) 
type
string (optional) 
id
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Sub Award Files

Get Budget Sub Award Files by Key
GET/propdev/api/v1/budget-sub-award-files/(key)

Example URI

GET /propdev/api/v1/budget-sub-award-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Award Files
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Award Files with Filtering
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

subAwardXfdFileData
string (optional) 

Sub Award Xfd File Data. Validating pattern is .*.

subAwardXfdFileName
string (optional) 

Sub Award Xfd File Name. Validating pattern is .*.

subAwardXmlFileData
string (optional) 

Sub Award Xml File Data. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Award Files
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "subAwardXfdFileData",
    "subAwardXfdFileName",
    "subAwardXmlFileData"
  ],
  "primaryKey": "budgetSubAward"
}

Get Blueprint API specification for Budget Sub Award Files
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Files.md"
transfer-encoding: chunked

Update Budget Sub Award Files
PUT/propdev/api/v1/budget-sub-award-files/(key)

Example URI

PUT /propdev/api/v1/budget-sub-award-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Award Files
PUT/propdev/api/v1/budget-sub-award-files/

Example URI

PUT /propdev/api/v1/budget-sub-award-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Award Files
PATCH/propdev/api/v1/budget-sub-award-files/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-award-files/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Award Files
POST/propdev/api/v1/budget-sub-award-files/

Example URI

POST /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Award Files
POST/propdev/api/v1/budget-sub-award-files/

Example URI

POST /propdev/api/v1/budget-sub-award-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Award Files by Key
DELETE/propdev/api/v1/budget-sub-award-files/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-award-files/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Files
DELETE/propdev/api/v1/budget-sub-award-files/

Example URI

DELETE /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Sub Award Files with Matching
DELETE/propdev/api/v1/budget-sub-award-files/

Example URI

DELETE /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

subAwardXfdFileData
string (optional) 

Sub Award Xfd File Data. Validating pattern is .*.

subAwardXfdFileName
string (optional) 

Sub Award Xfd File Name. Validating pattern is .*.

subAwardXmlFileData
string (optional) 

Sub Award Xml File Data. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Sub Award Period Details

Get Budget Sub Award Period Details by Key
GET/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Award Period Details
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Award Period Details with Filtering
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

id
string (optional) 

id. Maximum length is 3. Validating pattern is ^[0-9]*$.

budgetPeriod
string (optional) 

Budget Period. Maximum length is 3. Validating pattern is ^[0-9]*$.

directCost
string (optional) 

Direct Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

indirectCost
string (optional) 

F&A Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

costShare
string (optional) 

Cost Sharing. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

totalCost
string (optional) 

Total Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Award Period Details
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "budgetPeriod",
    "directCost",
    "indirectCost",
    "costShare",
    "totalCost",
    "subAwardNumber"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Budget Sub Award Period Details
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Period Details.md"
transfer-encoding: chunked

Update Budget Sub Award Period Details
PUT/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

PUT /propdev/api/v1/budget-sub-award-period-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Award Period Details
PUT/propdev/api/v1/budget-sub-award-period-details/

Example URI

PUT /propdev/api/v1/budget-sub-award-period-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Award Period Details
PATCH/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-award-period-details/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Award Period Details
POST/propdev/api/v1/budget-sub-award-period-details/

Example URI

POST /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Award Period Details
POST/propdev/api/v1/budget-sub-award-period-details/

Example URI

POST /propdev/api/v1/budget-sub-award-period-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Award Period Details by Key
DELETE/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-award-period-details/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Period Details
DELETE/propdev/api/v1/budget-sub-award-period-details/

Example URI

DELETE /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Sub Award Period Details with Matching
DELETE/propdev/api/v1/budget-sub-award-period-details/

Example URI

DELETE /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

id. Maximum length is 3. Validating pattern is ^[0-9]*$.

budgetPeriod
string (optional) 

Budget Period. Maximum length is 3. Validating pattern is ^[0-9]*$.

directCost
string (optional) 

Direct Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

indirectCost
string (optional) 

F&A Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

costShare
string (optional) 

Cost Sharing. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

totalCost
string (optional) 

Total Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Sub Awards

Get Budget Sub Awards by Key
GET/propdev/api/v1/budget-sub-awards/(key)

Example URI

GET /propdev/api/v1/budget-sub-awards/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Awards
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Awards with Filtering
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

budgetId
string (optional) 

Budget Id. Validating pattern is .*.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.

comments
string (optional) 

Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

organizationId
string (optional) 

Organization Id. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

subAwardStatusCode
string (optional) 

Subaward Status Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

fileDataId
string (optional) 

File Data Id. Validating pattern is .*.

subAwardXfdFileName
string (optional) 

Subaward PDF File Name. Maximum length is 256. Validating pattern is ^[\p{Graph}\p{Space}]*$.

xmlDataId
string (optional) 

Xml Data Id. Validating pattern is .*.

translationComments
string (optional) 

Translation Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

xfdUpdateTimestamp
string (optional) 

This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.

xfdUpdateUser
string (optional) 

xfdUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

xmlUpdateTimestamp
string (optional) 

This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.

xmlUpdateUser
string (optional) 

xmlUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

namespace
string (optional) 

Namespace. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

formName
string (optional) 

Form Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.

hierarchyProposalNumber
string (optional) 

Hierarchy Proposal Number. Validating pattern is .*.

hiddenInHierarchy
string (optional) 

Hidden In Hierarchy. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Awards
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "budgetId",
    "subAwardNumber",
    "comments",
    "organizationId",
    "subAwardStatusCode",
    "fileDataId",
    "subAwardXfdFileName",
    "xmlDataId",
    "translationComments",
    "xfdUpdateTimestamp",
    "xfdUpdateUser",
    "xmlUpdateTimestamp",
    "xmlUpdateUser",
    "namespace",
    "formName",
    "hierarchyProposalNumber",
    "hiddenInHierarchy"
  ],
  "primaryKey": "budget:subAwardNumber"
}

Get Blueprint API specification for Budget Sub Awards
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Awards.md"
transfer-encoding: chunked

Update Budget Sub Awards
PUT/propdev/api/v1/budget-sub-awards/(key)

Example URI

PUT /propdev/api/v1/budget-sub-awards/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Awards
PUT/propdev/api/v1/budget-sub-awards/

Example URI

PUT /propdev/api/v1/budget-sub-awards/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Awards
PATCH/propdev/api/v1/budget-sub-awards/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-awards/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Awards
POST/propdev/api/v1/budget-sub-awards/

Example URI

POST /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Awards
POST/propdev/api/v1/budget-sub-awards/

Example URI

POST /propdev/api/v1/budget-sub-awards/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Awards by Key
DELETE/propdev/api/v1/budget-sub-awards/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-awards/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Awards
DELETE/propdev/api/v1/budget-sub-awards/

Example URI

DELETE /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Sub Awards with Matching
DELETE/propdev/api/v1/budget-sub-awards/

Example URI

DELETE /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

budgetId
string (optional) 

Budget Id. Validating pattern is .*.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.

comments
string (optional) 

Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

organizationId
string (optional) 

Organization Id. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

subAwardStatusCode
string (optional) 

Subaward Status Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

fileDataId
string (optional) 

File Data Id. Validating pattern is .*.

subAwardXfdFileName
string (optional) 

Subaward PDF File Name. Maximum length is 256. Validating pattern is ^[\p{Graph}\p{Space}]*$.

xmlDataId
string (optional) 

Xml Data Id. Validating pattern is .*.

translationComments
string (optional) 

Translation Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

xfdUpdateTimestamp
string (optional) 

This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.

xfdUpdateUser
string (optional) 

xfdUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

xmlUpdateTimestamp
string (optional) 

This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.

xmlUpdateUser
string (optional) 

xmlUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

namespace
string (optional) 

Namespace. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

formName
string (optional) 

Form Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.

hierarchyProposalNumber
string (optional) 

Hierarchy Proposal Number. Validating pattern is .*.

hiddenInHierarchy
string (optional) 

Hidden In Hierarchy. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Congressional Districts

Get Congressional Districts by Key
GET/propdev/api/v1/congressional-districts/(key)

Example URI

GET /propdev/api/v1/congressional-districts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}

Get All Congressional Districts
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Congressional Districts with Filtering
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

id
string (optional) 

Id. Validating pattern is .*.

congressionalDistrict
string (optional) 

State code plus congressional district number. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Congressional Districts
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "congressionalDistrict"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Congressional Districts
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Congressional Districts.md"
transfer-encoding: chunked

Update Congressional Districts
PUT/propdev/api/v1/congressional-districts/(key)

Example URI

PUT /propdev/api/v1/congressional-districts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Congressional Districts
PUT/propdev/api/v1/congressional-districts/

Example URI

PUT /propdev/api/v1/congressional-districts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Congressional Districts
PATCH/propdev/api/v1/congressional-districts/(key)

Example URI

PATCH /propdev/api/v1/congressional-districts/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}

Insert Congressional Districts
POST/propdev/api/v1/congressional-districts/

Example URI

POST /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Congressional Districts
POST/propdev/api/v1/congressional-districts/

Example URI

POST /propdev/api/v1/congressional-districts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Congressional Districts by Key
DELETE/propdev/api/v1/congressional-districts/(key)

Example URI

DELETE /propdev/api/v1/congressional-districts/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Congressional Districts
DELETE/propdev/api/v1/congressional-districts/

Example URI

DELETE /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Congressional Districts with Matching
DELETE/propdev/api/v1/congressional-districts/

Example URI

DELETE /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Validating pattern is .*.

congressionalDistrict
string (optional) 

State code plus congressional district number. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Development Proposals

Get Development Proposals by Key
GET/propdev/api/v1/development-proposals/(key)

Example URI

GET /propdev/api/v1/development-proposals/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalNumber": "(val)",
  "proposalTypeCode": "(val)",
  "continuedFrom": "(val)",
  "sponsorCode": "(val)",
  "activityTypeCode": "(val)",
  "ownedByUnitNumber": "(val)",
  "requestedStartDateInitial": "(val)",
  "requestedEndDateInitial": "(val)",
  "title": "(val)",
  "currentAwardNumber": "(val)",
[...]
